Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.classifiers.differentiableSequenceScoreBased.sampling
Enum SamplingScoreBasedClassifier.SamplingScheme

    java.lang.Object
      java.lang.Enum<SamplingScoreBasedClassifier.SamplingScheme>
          de.jstacs.classifiers.differentiableSequenceScoreBased.sampling.SamplingScoreBasedClassifier.SamplingScheme

All Implemented Interfaces:
  Serializable, Comparable<SamplingScoreBasedClassifier.SamplingScheme>

Enclosing class:
  SamplingScoreBasedClassifier

    public static enum SamplingScoreBasedClassifier.SamplingScheme

extends Enum<SamplingScoreBasedClassifier.SamplingScheme>

Sampling scheme for sampling the parameters of the scoring functions. While sampling all parameters in each step may lead to low acceptance rates, it may be suited for scoring functions with low number of parameters, or in cases where an intuitive grouping of parameters is not possible. On the other hand, grouped sampling may escape local maxima only after a large number of sampling steps. Sampling function-wise sampled parameters grouped by scoring functions.

Author:
  Jan Grau
See Also:
  `SamplingDifferentiableStatisticalModel.getSamplingGroups(int)`

Enum Constant Summary
`ALL_PARAMETERS` All parameters are drawn before decision of acceptance
`FUNCTION_WISE` The parameters of each function are drawn before decision of acceptance
`GROUPED` The parameters of each group are drawn before decision of acceptance

Method Summary
`static SamplingScoreBasedClassifier.SamplingScheme` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SamplingScoreBasedClassifier.SamplingScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_PARAMETERS

    public static final SamplingScoreBasedClassifier.SamplingScheme ALL_PARAMETERS

  All parameters are drawn before decision of acceptance

### FUNCTION_WISE

    public static final SamplingScoreBasedClassifier.SamplingScheme FUNCTION_WISE

  The parameters of each function are drawn before decision of acceptance

### GROUPED

    public static final SamplingScoreBasedClassifier.SamplingScheme GROUPED

  The parameters of each group are drawn before decision of acceptance

Method Detail

### values

    public static SamplingScoreBasedClassifier.SamplingScheme[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SamplingScoreBasedClassifier.SamplingScheme c : SamplingScoreBasedClassifier.SamplingScheme.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SamplingScoreBasedClassifier.SamplingScheme valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD